* ST Blank equates:


* Resource set indicies for STBLANK

MAIN            EQU     0       * Form/dialog
LOAD            EQU     1       * BUTTON in tree MAIN
SAVE            EQU     2       * BUTTON in tree MAIN
STAROFF         EQU     5       * BUTTON in tree MAIN
STARON          EQU     6       * BUTTON in tree MAIN
DUPDATE         EQU     7       * IBOX in tree MAIN
DLINC           EQU     8       * BOXCHAR in tree MAIN
DELAY           EQU     9       * BOXTEXT in tree MAIN
DLDEC           EQU     10      * BOXCHAR in tree MAIN
TEST            EQU     12      * BUTTON in tree MAIN
CANCEL          EQU     13      * BUTTON in tree MAIN
OK              EQU     14      * BUTTON in tree MAIN
SDN             EQU     16      * BOXCHAR in tree MAIN
SUP             EQU     17      * BOXCHAR in tree MAIN
BNOW            EQU     18      * BUTTON in tree MAIN
OFF             EQU     19      * BUTTON in tree MAIN
MDN             EQU     21      * BOXCHAR in tree MAIN
UPDATE          EQU     22      * IBOX in tree MAIN
MINS            EQU     23      * BOXTEXT in tree MAIN
SECS            EQU     24      * BOXTEXT in tree MAIN
MUP             EQU     25      * BOXCHAR in tree MAIN
TITLE           EQU     31      * BOXTEXT in tree MAIN
ABOUT           EQU     1       * Form/dialog
ME              EQU     7       * IMAGE in tree ABOUT
ABOK            EQU     8       * BUTTON in tree ABOUT

* Misc stuff

dos     equ     1       TRAP code for GEMDOS
xbios   equ     14      TRAP code for the XBIOS
ourcookie equ   'STBl'  Our cookie

savelen equ     16      Length of .INF file

* XBRA stuff

xb_magic equ    $58425241       Magic no. for XBRA protocol
xb_id   equ     'STBl'          XBRA ID number
xblock  macro
        dc.l    xb_magic        XBRA magic number
        dc.l    xb_id           Our ID
        ds.l    1               Space for old vector addr
        endm                    End of macro

* BIOS function codes

ikbd    equ     4               IKBD device number
Bconout equ     3               Bcounout BIOS fn. code

* XBIOS function codes:

physbase equ    2       Get screen base addr fn code
getres  equ     4       Get screen resolution fn code
color   equ     7       Get screen colour fn code
vsync   equ     37      Wait for vertical sync
supexec equ     38      Execute routine in super mode

* GEMDOS function codes:

Cconws  equ     $09     Output character string
Malloc  equ     $48     Allocate memory
Ptermres equ    $31     Terminate and Stay Resident
Fopen   equ     $3D     Open file
Fread   equ     $3F     Read from file
Fclose  equ     $3E     Close file

* GEM constants

ob_size equ     24      Size (in bytes) of a GEM object


* System variables

_vblqueue equ   $456    Pointer to list of VBL routines
nvbls   equ     $454    number of VBL routines
flock   equ     $43E    Floppy lock
_v_bas_ad equ   $44E    Base address of screen memory
bios_trap equ   $0B4    Address of BIOS trap handler
_bootdev  equ   $446    Boot device number
longframe equ   $59E    Long frame flag (i.e. '010, '020 etc.)
_p_cookies equ  $5A0    Cookie jar pointer

* Hardware addresses

col_pal equ     $FF8240 Start of colour palette registers
res     equ     $FF8260 Screen res.
KACIA   equ     $FFFC00 Keyboard ACIA address
IPRA    equ     $FFFA0B Interrupt Pending Register A (on MFP)

